OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.FramebufferObject

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTFramebufferObject :: MonadIO m => m Bool
- gl_EXT_framebuffer_object :: Bool
- pattern GL_COLOR_ATTACHMENT0_EXT :: GLenum
- pattern GL_COLOR_ATTACHMENT10_EXT :: GLenum
- pattern GL_COLOR_ATTACHMENT11_EXT :: GLenum
- pattern GL_COLOR_ATTACHMENT12_EXT :: GLenum
- pattern GL_COLOR_ATTACHMENT13_EXT :: GLenum
- pattern GL_COLOR_ATTACHMENT14_EXT :: GLenum
- pattern GL_COLOR_ATTACHMENT15_EXT :: GLenum
- pattern GL_COLOR_ATTACHMENT1_EXT :: GLenum
- pattern GL_COLOR_ATTACHMENT2_EXT :: GLenum
- pattern GL_COLOR_ATTACHMENT3_EXT :: GLenum
- pattern GL_COLOR_ATTACHMENT4_EXT :: GLenum
- pattern GL_COLOR_ATTACHMENT5_EXT :: GLenum
- pattern GL_COLOR_ATTACHMENT6_EXT :: GLenum
- pattern GL_COLOR_ATTACHMENT7_EXT :: GLenum
- pattern GL_COLOR_ATTACHMENT8_EXT :: GLenum
- pattern GL_COLOR_ATTACHMENT9_EXT :: GLenum
- pattern GL_DEPTH_ATTACHMENT_EXT :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME_EXT :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE_EXT :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_EXT :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE_EXT :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL_EXT :: GLenum
- pattern GL_FRAMEBUFFER_BINDING_EXT :: GLenum
- pattern GL_FRAMEBUFFER_COMPLETE_EXT :: GLenum
- pattern GL_FRAMEBUFFER_EXT :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT_EXT :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS_EXT :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER_EXT :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_FORMATS_EXT :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT_EXT :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER_EXT :: GLenum
- pattern GL_FRAMEBUFFER_UNSUPPORTED_EXT :: GLenum
- pattern GL_INVALID_FRAMEBUFFER_OPERATION_EXT :: GLenum
- pattern GL_MAX_COLOR_ATTACHMENTS_EXT :: GLenum
- pattern GL_MAX_RENDERBUFFER_SIZE_EXT :: GLenum
- pattern GL_RENDERBUFFER_ALPHA_SIZE_EXT :: GLenum
- pattern GL_RENDERBUFFER_BINDING_EXT :: GLenum
- pattern GL_RENDERBUFFER_BLUE_SIZE_EXT :: GLenum
- pattern GL_RENDERBUFFER_DEPTH_SIZE_EXT :: GLenum
- pattern GL_RENDERBUFFER_EXT :: GLenum
- pattern GL_RENDERBUFFER_GREEN_SIZE_EXT :: GLenum
- pattern GL_RENDERBUFFER_HEIGHT_EXT :: GLenum
- pattern GL_RENDERBUFFER_INTERNAL_FORMAT_EXT :: GLenum
- pattern GL_RENDERBUFFER_RED_SIZE_EXT :: GLenum
- pattern GL_RENDERBUFFER_STENCIL_SIZE_EXT :: GLenum
- pattern GL_RENDERBUFFER_WIDTH_EXT :: GLenum
- pattern GL_STENCIL_ATTACHMENT_EXT :: GLenum
- pattern GL_STENCIL_INDEX16_EXT :: GLenum
- pattern GL_STENCIL_INDEX1_EXT :: GLenum
- pattern GL_STENCIL_INDEX4_EXT :: GLenum
- pattern GL_STENCIL_INDEX8_EXT :: GLenum
- glBindFramebufferEXT :: MonadIO m => GLenum -> GLuint -> m ()
- glBindRenderbufferEXT :: MonadIO m => GLenum -> GLuint -> m ()
- glCheckFramebufferStatusEXT :: MonadIO m => GLenum -> m GLenum
- glDeleteFramebuffersEXT :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDeleteRenderbuffersEXT :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glFramebufferRenderbufferEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> m ()
- glFramebufferTexture1DEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> GLint -> m ()
- glFramebufferTexture2DEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> GLint -> m ()
- glFramebufferTexture3DEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> GLint -> GLint -> m ()
- glGenFramebuffersEXT :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenRenderbuffersEXT :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenerateMipmapEXT :: MonadIO m => GLenum -> m ()
- glGetFramebufferAttachmentParameterivEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetRenderbufferParameterivEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glIsFramebufferEXT :: MonadIO m => GLuint -> m GLboolean
- glIsRenderbufferEXT :: MonadIO m => GLuint -> m GLboolean
- glRenderbufferStorageEXT :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetEXTFramebufferObject :: MonadIO m => m Bool Source #

Is the EXT_framebuffer_object extension supported?

gl_EXT_framebuffer_object :: Bool Source #

Is the EXT_framebuffer_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTFramebufferObject` in those cases instead.

# Enums

pattern GL_COLOR_ATTACHMENT0_EXT :: GLenum Source #

pattern GL_COLOR_ATTACHMENT10_EXT :: GLenum Source #

pattern GL_COLOR_ATTACHMENT11_EXT :: GLenum Source #

pattern GL_COLOR_ATTACHMENT12_EXT :: GLenum Source #

pattern GL_COLOR_ATTACHMENT13_EXT :: GLenum Source #

pattern GL_COLOR_ATTACHMENT14_EXT :: GLenum Source #

pattern GL_COLOR_ATTACHMENT15_EXT :: GLenum Source #

pattern GL_COLOR_ATTACHMENT1_EXT :: GLenum Source #

pattern GL_COLOR_ATTACHMENT2_EXT :: GLenum Source #

pattern GL_COLOR_ATTACHMENT3_EXT :: GLenum Source #

pattern GL_COLOR_ATTACHMENT4_EXT :: GLenum Source #

pattern GL_COLOR_ATTACHMENT5_EXT :: GLenum Source #

pattern GL_COLOR_ATTACHMENT6_EXT :: GLenum Source #

pattern GL_COLOR_ATTACHMENT7_EXT :: GLenum Source #

pattern GL_COLOR_ATTACHMENT8_EXT :: GLenum Source #

pattern GL_COLOR_ATTACHMENT9_EXT :: GLenum Source #

pattern GL_DEPTH_ATTACHMENT_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_BINDING_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_COMPLETE_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_FORMATS_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_UNSUPPORTED_EXT :: GLenum Source #

pattern GL_INVALID_FRAMEBUFFER_OPERATION_EXT :: GLenum Source #

pattern GL_MAX_COLOR_ATTACHMENTS_EXT :: GLenum Source #

pattern GL_MAX_RENDERBUFFER_SIZE_EXT :: GLenum Source #

pattern GL_RENDERBUFFER_ALPHA_SIZE_EXT :: GLenum Source #

pattern GL_RENDERBUFFER_BINDING_EXT :: GLenum Source #

pattern GL_RENDERBUFFER_BLUE_SIZE_EXT :: GLenum Source #

pattern GL_RENDERBUFFER_DEPTH_SIZE_EXT :: GLenum Source #

pattern GL_RENDERBUFFER_EXT :: GLenum Source #

pattern GL_RENDERBUFFER_GREEN_SIZE_EXT :: GLenum Source #

pattern GL_RENDERBUFFER_HEIGHT_EXT :: GLenum Source #

pattern GL_RENDERBUFFER_INTERNAL_FORMAT_EXT :: GLenum Source #

pattern GL_RENDERBUFFER_RED_SIZE_EXT :: GLenum Source #

pattern GL_RENDERBUFFER_STENCIL_SIZE_EXT :: GLenum Source #

pattern GL_RENDERBUFFER_WIDTH_EXT :: GLenum Source #

pattern GL_STENCIL_ATTACHMENT_EXT :: GLenum Source #

pattern GL_STENCIL_INDEX16_EXT :: GLenum Source #

pattern GL_STENCIL_INDEX1_EXT :: GLenum Source #

pattern GL_STENCIL_INDEX4_EXT :: GLenum Source #

pattern GL_STENCIL_INDEX8_EXT :: GLenum Source #

# Functions

glBindFramebufferEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLuint | `framebuffer`.
-> m () |

glBindRenderbufferEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type RenderbufferTarget.
-> GLuint | `renderbuffer`.
-> m () |

glCheckFramebufferStatusEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> m GLenum | of type FramebufferStatus.

This command is an alias for `glCheckFramebufferStatus`.

glDeleteFramebuffersEXT Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `framebuffers` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glDeleteFramebuffers`.

glDeleteRenderbuffersEXT Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `renderbuffers` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glDeleteRenderbuffers`.

glFramebufferRenderbufferEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `renderbuffertarget` of type RenderbufferTarget.
-> GLuint | `renderbuffer`.
-> m () |

This command is an alias for `glFramebufferRenderbuffer`.

glFramebufferTexture1DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `textarget` of type TextureTarget.
-> GLuint | `texture`.
-> GLint | `level`.
-> m () |

This command is an alias for `glFramebufferTexture1D`.

glFramebufferTexture2DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `textarget` of type TextureTarget.
-> GLuint | `texture`.
-> GLint | `level`.
-> m () |

This command is an alias for `glFramebufferTexture2D`.

glFramebufferTexture3DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `textarget` of type TextureTarget.
-> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `zoffset`.
-> m () |

This command is an alias for `glFramebufferTexture3D`.

glGenFramebuffersEXT Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `framebuffers` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glGenFramebuffers`.

glGenRenderbuffersEXT Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `renderbuffers` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glGenRenderbuffers`.

glGenerateMipmapEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> m () |

This command is an alias for `glGenerateMipmap`.

glGetFramebufferAttachmentParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `pname` of type FramebufferAttachmentParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

This command is an alias for `glGetFramebufferAttachmentParameteriv`.

glGetRenderbufferParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type RenderbufferTarget.
-> GLenum | `pname` of type RenderbufferParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

This command is an alias for `glGetRenderbufferParameteriv`.

glIsFramebufferEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> m GLboolean | of type Boolean.

This command is an alias for `glIsFramebuffer`.

glIsRenderbufferEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `renderbuffer`.
-> m GLboolean | of type Boolean.

This command is an alias for `glIsRenderbuffer`.

glRenderbufferStorageEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type RenderbufferTarget.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

This command is an alias for `glRenderbufferStorage`.